#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x8F,0x82,0x8A,0x54,0x35,0x49,0x0E,0x62,0x0C,0xC7,0xFD,0x34,
		0x32,0xB9,0xA7,0x07,0xA8,0xD8,0x18,0x94,0xC8,0xAC,0xBE,0xD2,
		0x1C,0x39,0x6C,0x18,0x0C,0x09,0xF5,0xB4,0x44,0x0E,0x18,0xD5,
		0x0B,0x47,0x7F,0x0E,0x69,0xA2,0x2C,0x28,0x83,0x25,0xE4,0x6D,
		0xD7,0x2C,0xEC,0x12,0xDD,0x43,0xAB,0xB0,0xA4,0x8D,0x0E,0xED,
		0xDD,0x2B,0x51,0xBB,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
